javax.persistence.metamodel

## Interface ManagedType<X>

All Superinterfaces:
  Type<X>

All Known Subinterfaces:
  EmbeddableType<X>, EntityType<X>, IdentifiableType<X>, MappedSuperclassType<X>

    public interface ManagedType<X>
    extends Type<X>

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type

`Type.PersistenceType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Attribute<? super X,?>` `getAttribute(String name)`
`Set<Attribute<? super X,?>>` `getAttributes()`
`CollectionAttribute<? super X,?>` `getCollection(String name)`
`<E> CollectionAttribute<? super X,E>` `getCollection(String name, Class<E> elementType)`
`Attribute<X,?>` `getDeclaredAttribute(String name)`
`Set<Attribute<X,?>>` `getDeclaredAttributes()`
`CollectionAttribute<X,?>` `getDeclaredCollection(String name)`
`<E> CollectionAttribute<X,E>` `getDeclaredCollection(String name, Class<E> elementType)`
`ListAttribute<X,?>` `getDeclaredList(String name)`
`<E> ListAttribute<X,E>` `getDeclaredList(String name, Class<E> elementType)`
`MapAttribute<X,?,?>` `getDeclaredMap(String name)`
`<K,V> MapAttribute<X,K,V>` `getDeclaredMap(String name, Class<K> keyType, Class<V> valueType)`
`Set<PluralAttribute<X,?,?>>` `getDeclaredPluralAttributes()`
`SetAttribute<X,?>` `getDeclaredSet(String name)`
`<E> SetAttribute<X,E>` `getDeclaredSet(String name, Class<E> elementType)`
`SingularAttribute<X,?>` `getDeclaredSingularAttribute(String name)`
`<Y> SingularAttribute<X,Y>` `getDeclaredSingularAttribute(String name, Class<Y> type)`
`Set<SingularAttribute<X,?>>` `getDeclaredSingularAttributes()`
`ListAttribute<? super X,?>` `getList(String name)`
`<E> ListAttribute<? super X,E>` `getList(String name, Class<E> elementType)`
`MapAttribute<? super X,?,?>` `getMap(String name)`
`<K,V> MapAttribute<? super X,K,V>` `getMap(String name, Class<K> keyType, Class<V> valueType)`
`Set<PluralAttribute<? super X,?,?>>` `getPluralAttributes()`
`SetAttribute<? super X,?>` `getSet(String name)`
`<E> SetAttribute<? super X,E>` `getSet(String name, Class<E> elementType)`
`SingularAttribute<? super X,?>` `getSingularAttribute(String name)`
`<Y> SingularAttribute<? super X,Y>` `getSingularAttribute(String name, Class<Y> type)`
`Set<SingularAttribute<? super X,?>>` `getSingularAttributes()`

### Methods inherited from interface javax.persistence.metamodel.Type

`getJavaType, getPersistenceType`

### Method Detail

#### getAttributes

    Set<Attribute<? super X,?>> getAttributes()

#### getDeclaredAttributes

    Set<Attribute<X,?>> getDeclaredAttributes()

#### getSingularAttribute

    <Y> SingularAttribute<? super X,Y> getSingularAttribute(String name,
                                                            Class<Y> type)

#### getDeclaredSingularAttribute

    <Y> SingularAttribute<X,Y> getDeclaredSingularAttribute(String name,
                                                            Class<Y> type)

#### getSingularAttributes

    Set<SingularAttribute<? super X,?>> getSingularAttributes()

#### getDeclaredSingularAttributes

    Set<SingularAttribute<X,?>> getDeclaredSingularAttributes()

#### getCollection

    <E> CollectionAttribute<? super X,E> getCollection(String name,
                                                       Class<E> elementType)

#### getDeclaredCollection

    <E> CollectionAttribute<X,E> getDeclaredCollection(String name,
                                                       Class<E> elementType)

#### getSet

    <E> SetAttribute<? super X,E> getSet(String name,
                                         Class<E> elementType)

#### getDeclaredSet

    <E> SetAttribute<X,E> getDeclaredSet(String name,
                                         Class<E> elementType)

#### getList

    <E> ListAttribute<? super X,E> getList(String name,
                                           Class<E> elementType)

#### getDeclaredList

    <E> ListAttribute<X,E> getDeclaredList(String name,
                                           Class<E> elementType)

#### getMap

    <K,V> MapAttribute<? super X,K,V> getMap(String name,
                                             Class<K> keyType,
                                             Class<V> valueType)

#### getDeclaredMap

    <K,V> MapAttribute<X,K,V> getDeclaredMap(String name,
                                             Class<K> keyType,
                                             Class<V> valueType)

#### getPluralAttributes

    Set<PluralAttribute<? super X,?,?>> getPluralAttributes()

#### getDeclaredPluralAttributes

    Set<PluralAttribute<X,?,?>> getDeclaredPluralAttributes()

#### getAttribute

    Attribute<? super X,?> getAttribute(String name)

#### getDeclaredAttribute

    Attribute<X,?> getDeclaredAttribute(String name)

#### getSingularAttribute

    SingularAttribute<? super X,?> getSingularAttribute(String name)

#### getDeclaredSingularAttribute

    SingularAttribute<X,?> getDeclaredSingularAttribute(String name)

#### getCollection

    CollectionAttribute<? super X,?> getCollection(String name)

#### getDeclaredCollection

    CollectionAttribute<X,?> getDeclaredCollection(String name)

#### getSet

    SetAttribute<? super X,?> getSet(String name)

#### getDeclaredSet

    SetAttribute<X,?> getDeclaredSet(String name)

#### getList

    ListAttribute<? super X,?> getList(String name)

#### getDeclaredList

    ListAttribute<X,?> getDeclaredList(String name)

#### getMap

    MapAttribute<? super X,?,?> getMap(String name)

#### getDeclaredMap

    MapAttribute<X,?,?> getDeclaredMap(String name)